Loading...
Searching...
No Matches
polygon.c File Reference

GRASS png display driver - draw polygon. More...

`#include <stdlib.h>`
`#include <math.h>`
`#include <grass/gis.h>`
`#include "path.h"`
`#include "pngdriver.h"`
Include dependency graph for pngdriver/polygon.c:

Go to the source code of this file.

## Functions

void | png_polygon (struct path *p)
| Draw polygon.

## Detailed Description

GRASS png display driver - draw polygon.

(C) 2003-2014 by Per Henrik Johansen and the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Per Henrik Johansen (original contributor)
  Glynn Clements

Definition in file pngdriver/polygon.c.

## Function Documentation

## png_polygon()

void png_polygon | ( | struct path * | p | ) |

Draw polygon.

Definition at line 135 of file pngdriver/polygon.c.

References path::count, vertex::mode, P_CLOSE, path_close(), png, and path::vertices.

Referenced by png_draw_line(), and PNG_Fill().